FastNetMon

воскресенье, 24 марта 2013 г.

Почему PowerDNS 2.9.22 из Debian Squeeze 6 абсолютно не годен к продакшену

В нем используется ванильная 2.9.22 версия PowerDNS.

С момента ее выхода прошло много времени и в последующих релизах (в пределах 2.9.22 же) вышли следующие фиксы:

  1. Don't crash on communication error with pdns_control (commit 2015).
  2. Fix crashes in the BIND backend (commit 1693, commit 1692)

С банами номер 1 и 2 я столкнулся в чистом продакшене,  PowerDns вис без явных на то оснований при регулярном вызове pdn_control rediscover (вполне возможно, вис бы он и без этого).  

Вообще, лично я рекомендую использовать предлагаемый разработчиками PowerDNS .deb пакет с версией 3.2.

Комментариев нет :

Отправить комментарий

Примечание. Отправлять комментарии могут только участники этого блога.